<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.209
Name: Conclusion Pathology Section
Description: Conclusion Pathology Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000">
   <title>Conclusion Pathology Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]
Item: (ConclusionPathologySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]"
         id="d20e4921-false-d97272e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']) &gt;= 1">(ConclusionPathologySection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']) &lt;= 1">(ConclusionPathologySection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ConclusionPathologySection): element hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ConclusionPathologySection): element hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:title) &gt;= 1">(ConclusionPathologySection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:title) &lt;= 1">(ConclusionPathologySection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ConclusionPathologySection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ConclusionPathologySection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']"
         id="d20e4923-false-d97322e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.209')">(ConclusionPathologySection): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.209' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:code[(@code = '22034-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e4928-false-d97337e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="@nullFlavor or (@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologySection): de elementwaarde MOET een zijn van 'code '22034-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:title
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:title"
         id="d20e4933-false-d97353e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="text()='Conclusie'">(ConclusionPathologySection): de elementinhoud van hl7:title MOET ''Conclusie'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:text[not(@nullFlavor)]
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:text[not(@nullFlavor)]"
         id="d20e4939-false-d97367e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]
Item: (ConclusionPathologySection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.209']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="string(@typeCode) = ('DRIV')">(ConclusionPathologySection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
