<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.214
Name: Microscopie (bmh)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000">
   <title>Microscopie (bmh)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]
Item: (MicroscopicObservationSectionbmh)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]"
         id="d20e5906-false-d108034e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="string(@classCode) = ('DOCSECT')">(MicroscopicObservationSectionbmh): de waarde van classCode MOET 'DOCSECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.6']) &lt;= 1">(MicroscopicObservationSectionbmh): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']) &gt;= 1">(MicroscopicObservationSectionbmh): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']) &lt;= 1">(MicroscopicObservationSectionbmh): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(MicroscopicObservationSectionbmh): element hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(MicroscopicObservationSectionbmh): element hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(MicroscopicObservationSectionbmh): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(MicroscopicObservationSectionbmh): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(MicroscopicObservationSectionbmh): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(MicroscopicObservationSectionbmh): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.558']]]) &gt;= 1">(MicroscopicObservationSectionbmh): element hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.558']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.6']
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.8.1.2.6']"
         id="d20e5910-false-d108126e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MicroscopicObservationSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.8.1.2.6')">(MicroscopicObservationSectionbmh): de waarde van root MOET '1.3.6.1.4.1.19376.1.8.1.2.6' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']"
         id="d20e5915-false-d108141e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MicroscopicObservationSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.214')">(MicroscopicObservationSectionbmh): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.214' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:code[(@code = '22635-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5920-false-d108156e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MicroscopicObservationSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="@nullFlavor or (@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')">(MicroscopicObservationSectionbmh): de elementwaarde MOET een zijn van 'code '22635-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:title[not(@nullFlavor)]
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:title[not(@nullFlavor)]"
         id="d20e5925-false-d108172e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MicroscopicObservationSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="text()='Microscopie'">(MicroscopicObservationSectionbmh): de elementinhoud van hl7:title[not(@nullFlavor)] MOET ''Microscopie'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:text[not(@nullFlavor)]
Item: (MicroscopicObservationSectionbmh)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:text[not(@nullFlavor)]"
         id="d20e5932-false-d108186e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MicroscopicObservationSectionbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.214
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.558']]]
Item: (MicroscopicObservationSectionbmh)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.214']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.558']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.html"
              test="string(@typeCode) = ('DRIV')">(MicroscopicObservationSectionbmh): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
