<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Gegevensvastlegging resultaatdocument bevolkingsonderzoek baarmoederhalskanker (BMHK) </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario bmhk2016 -->

   <!-- bmhk2016a -->
   <pattern>
      <title>bmhk2016a</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.30'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.1']]"
                 see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000.html">In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.30'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.317-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.384-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.430-2013-06-30T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.432-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.433-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.434-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.438-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.439-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.440-2016-02-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000"/>
   </phase>
   <phase id="bmhk2016a">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000"/>
   </phase>
   <phase id="bmhk2016a-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.30-2016-02-01T000000-closed"/>
   </phase>
   <phase id="CDAauthor">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000"/>
   </phase>
   <phase id="DiagnosisSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000"/>
   </phase>
   <phase id="ClinicalInformationSectionwithspecimen">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000"/>
   </phase>
   <phase id="MicroscopicObservationSectionbmh">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000"/>
   </phase>
   <phase id="PlanOfCareSectionbmh">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000"/>
   </phase>
   <phase id="SpecimenDiagnosisEntry">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000"/>
   </phase>
   <phase id="Diagnoseregel">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.317-2012-04-10T000000"/>
   </phase>
   <phase id="Specimenclusterbmh">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.384-2016-02-02T000000"/>
   </phase>
   <phase id="Planoftreatmentbmh">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000"/>
   </phase>
   <phase id="Versionnumberprotocol">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.430-2013-06-30T000000"/>
   </phase>
   <phase id="KOPACBK">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.432-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBO">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.433-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBP">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.434-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBA">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBC">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBB">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000"/>
   </phase>
   <phase id="KOPACBE">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.438-2016-02-02T000000"/>
   </phase>
   <phase id="PAPklasse">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.439-2016-02-02T000000"/>
   </phase>
   <phase id="Bethesdascore">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.440-2016-02-02T000000"/>
   </phase>
   <phase id="SpecimenMicroscopicObservationbmh">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- CDAauthor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000.sch"/>
   <!-- DiagnosisSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.sch"/>
   <!-- ClinicalInformationSectionwithspecimen -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.213-2016-02-01T000000.sch"/>
   <!-- MicroscopicObservationSectionbmh -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.214-2016-02-02T000000.sch"/>
   <!-- PlanOfCareSectionbmh -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.215-2016-02-02T000000.sch"/>
   <!-- SpecimenDiagnosisEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.sch"/>
   <!-- Diagnoseregel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.317-2012-04-10T000000.sch"/>
   <!-- Specimenclusterbmh -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.384-2016-02-02T000000.sch"/>
   <!-- Planoftreatmentbmh -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.385-2014-07-15T000000.sch"/>
   <!-- Versionnumberprotocol -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.430-2013-06-30T000000.sch"/>
   <!-- KOPACBK -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.432-2016-02-02T000000.sch"/>
   <!-- KOPACBO -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.433-2016-02-02T000000.sch"/>
   <!-- KOPACBP -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.434-2016-02-02T000000.sch"/>
   <!-- KOPACBA -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.sch"/>
   <!-- KOPACBC -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.sch"/>
   <!-- KOPACBB -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.sch"/>
   <!-- KOPACBE -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.438-2016-02-02T000000.sch"/>
   <!-- PAPklasse -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.439-2016-02-02T000000.sch"/>
   <!-- Bethesdascore -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.440-2016-02-02T000000.sch"/>
   <!-- SpecimenMicroscopicObservationbmh -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.sch"/>

</schema>
